XMLSerializer (Other Classes)
Keywords: org.apache.xml.serialize.XMLSerializer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class XMLSerializer

    java.lang.Object
      org.apache.xml.serialize.BaseMarkupSerializer
          org.apache.xml.serialize.XMLSerializer

All Implemented Interfaces:
  DOMSerializer, Serializer, org.xml.sax.ContentHandler, org.xml.sax.DocumentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.ext.LexicalHandler

Direct Known Subclasses:
  XML11Serializer

Deprecated. This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

    public class XMLSerializer

extends BaseMarkupSerializer

Implements an XML serializer supporting both DOM and SAX pretty serializing. For usage instructions see `Serializer`.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. SAX serializing is done by firing SAX events and using the serializer as a document handler. DOM serializing is done by calling `BaseMarkupSerializer.serialize(Document)` or by using DOM Level 3 `LSSerializer` and serializing with `LSSerializer.write(org.w3c.dom.Node, org.w3c.dom.ls.LSOutput)`, `LSSerializer.writeToString(org.w3c.dom.Node)`.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

For elements that are not specified as whitespace preserving, the serializer will potentially break long text lines at space boundaries, indent lines, and serialize elements on separate lines. Line terminators will be regarded as spaces, and spaces at beginning of line will be stripped.

Version:
  $Revision: 704573 $ $Date: 2008-10-14 12:11:22 -0400 (Tue, 14 Oct 2008) $
Author:
  Assaf Arkin, Rahul Srivastava, Elena Litani IBM
See Also:
  `Serializer`

Field Summary
`protected static boolean` | `DEBUG` Deprecated.
`protected org.apache.xerces.util.NamespaceSupport` | `fLocalNSBinder` Deprecated. stores all namespace bindings on the current element
`protected boolean` | `fNamespacePrefixes` Deprecated. Controls whether namespace prefixes will be printed out during serialization
`protected boolean` | `fNamespaces` Deprecated. Controls whether namespace fixup should be performed during the serialization.
`protected org.apache.xerces.util.NamespaceSupport` | `fNSBinder` Deprecated. stores namespaces in scope
`protected org.apache.xerces.util.SymbolTable` | `fSymbolTable` Deprecated. symbol table for serialization
`protected static java.lang.String` | `PREFIX` Deprecated.

Fields inherited from class org.apache.xml.serialize.BaseMarkupSerializer
`_docTypePublicId, _docTypeSystemId, _encodingInfo, _format, _indenting, _prefixes, _printer, _started, fCurrentNode, fDOMError, fDOMErrorHandler, fDOMFilter, features, fStrBuffer`

Constructor Summary
`XMLSerializer()` Deprecated. Constructs a new serializer.
`XMLSerializer(OutputFormat format)` Deprecated. Constructs a new serializer.
`XMLSerializer(java.io.OutputStream output, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified output stream using the specified output format.
`XMLSerializer(java.io.Writer writer, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified writer using the specified output format.

Method Summary
`protected void` | `checkUnboundNamespacePrefixedNode(org.w3c.dom.Node node)` Deprecated. DOM Level 3: Check a node to determine if it contains unbound namespace prefixes.
`void` | `endElement(java.lang.String tagName)` Deprecated.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)` Deprecated.
`void` | `endElementIO(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)` Deprecated.
`protected java.lang.String` | `getEntityRef(int ch)` Deprecated. Returns the suitable entity reference for this character value, or null if no such entity exists.
`protected void` | `printEscaped(java.lang.String source)` Deprecated. Escapes a string so it may be printed as text content or attribute value.
`protected void` | `printText(char[] chars, int start, int length, boolean preserveSpace, boolean unescaped)` Deprecated. Called to print additional text with whitespace handling.
`protected void` | `printText(java.lang.String text, boolean preserveSpace, boolean unescaped)` Deprecated.
`protected void` | `printXMLChar(int ch)` Deprecated. print text data
`boolean` | `reset()` Deprecated.
`protected void` | `serializeElement(org.w3c.dom.Element elem)` Deprecated. Called to serialize a DOM element.
`void` | `setNamespaces(boolean namespaces)` Deprecated. This methods turns on namespace fixup algorithm during DOM serialization.
`void` | `setOutputFormat(OutputFormat format)` Deprecated. Specifies an output format for this serializer.
`protected void` | `startDocument(java.lang.String rootTagName)` Deprecated. Called to serialize the document's DOCTYPE by the root element.
`void` | `startElement(java.lang.String tagName, org.xml.sax.AttributeList attrs)` Deprecated.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName, org.xml.sax.Attributes attrs)` Deprecated.

Methods inherited from class org.apache.xml.serialize.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, characters, characters, cleanup, comment, comment, content, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, fatalError, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, modifyDOMError, notationDecl, prepare, printCDATAText, printDoctypeURL, printEscaped, processingInstruction, processingInstructionIO, serialize, serialize, serialize, serializeNode, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, surrogates, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    protected static final boolean DEBUG

  Deprecated.
  See Also:
    Constant Field Values

### fNSBinder

    protected org.apache.xerces.util.NamespaceSupport fNSBinder

  Deprecated.
  stores namespaces in scope

### fLocalNSBinder

    protected org.apache.xerces.util.NamespaceSupport fLocalNSBinder

  Deprecated.
  stores all namespace bindings on the current element

### fSymbolTable

    protected org.apache.xerces.util.SymbolTable fSymbolTable

  Deprecated.
  symbol table for serialization

### PREFIX

    protected static final java.lang.String PREFIX

  Deprecated.
  See Also:
    Constant Field Values

### fNamespaces

    protected boolean fNamespaces

  Deprecated.
  Controls whether namespace fixup should be performed during the serialization. NOTE: if this field is set to true the following fields need to be initialized: fNSBinder, fLocalNSBinder, fSymbolTable, XMLSymbols.EMPTY_STRING, fXmlSymbol, fXmlnsSymbol

### fNamespacePrefixes

    protected boolean fNamespacePrefixes

  Deprecated.
  Controls whether namespace prefixes will be printed out during serialization

Constructor Detail

### XMLSerializer

    public XMLSerializer()

  Deprecated.
  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### XMLSerializer

    public XMLSerializer(OutputFormat format)

  Deprecated.
  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### XMLSerializer

    public XMLSerializer(java.io.Writer writer,
                         OutputFormat format)

  Deprecated.
  Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `writer` - The writer to use
    `format` - The output format to use, null for the default

### XMLSerializer

    public XMLSerializer(java.io.OutputStream output,
                         OutputFormat format)

  Deprecated.
  Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `output` - The output stream to use
    `format` - The output format to use, null for the default

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Deprecated.
  Description copied from interface: `Serializer`
  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.

  Specified by:
    `setOutputFormat` in interface `Serializer`
  Overrides:
    `setOutputFormat` in class `BaseMarkupSerializer`
  Parameters:
    `format` - The output format to use

### setNamespaces

    public void setNamespaces(boolean namespaces)

  Deprecated.
  This methods turns on namespace fixup algorithm during DOM serialization.

  Parameters:
    `namespaces` -
  See Also:
    `LSSerializer`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String rawName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  Deprecated.
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws org.xml.sax.SAXException

  Deprecated.
  Throws:
    `org.xml.sax.SAXException`

### endElementIO

    public void endElementIO(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String rawName)
                      throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String tagName,
                             org.xml.sax.AttributeList attrs)
                      throws org.xml.sax.SAXException

  Deprecated.
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String tagName)
                    throws org.xml.sax.SAXException

  Deprecated.
  Throws:
    `org.xml.sax.SAXException`

### startDocument

    protected void startDocument(java.lang.String rootTagName)
                          throws java.io.IOException

  Deprecated.
  Called to serialize the document's DOCTYPE by the root element. The document type declaration must name the root element, but the root element is only known when that element is serialized, and not at the start of the document.

  This method will check if it has not been called before (`BaseMarkupSerializer._started`), will serialize the document type declaration, and will serialize all pre-root comments and PIs that were accumulated in the document (see `BaseMarkupSerializer.serializePreRoot()`). Pre-root will be serialized even if this is not the first root element of the document.

  Throws:
    `java.io.IOException`

### serializeElement

    protected void serializeElement(org.w3c.dom.Element elem)
                             throws java.io.IOException

  Deprecated.
  Called to serialize a DOM element. Equivalent to calling `startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `endElement(java.lang.String, java.lang.String, java.lang.String)` and serializing everything inbetween, but better optimized.

  Specified by:
    `serializeElement` in class `BaseMarkupSerializer`
  Parameters:
    `elem` - The element to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### getEntityRef

    protected java.lang.String getEntityRef(int ch)

  Deprecated.
  Description copied from class: `BaseMarkupSerializer`
  Returns the suitable entity reference for this character value, or null if no such entity exists. Calling this method with `'&'` will return `"&amp;"`.

  Specified by:
    `getEntityRef` in class `BaseMarkupSerializer`
  Parameters:
    `ch` - Character value
  Returns:
    Character entity name, or null

### printEscaped

    protected void printEscaped(java.lang.String source)
                         throws java.io.IOException

  Deprecated.
  Description copied from class: `BaseMarkupSerializer`
  Escapes a string so it may be printed as text content or attribute value. Non printable characters are escaped using character references. Where the format specifies a deault entity reference, that reference is used (e.g. `&lt;`).

  Overrides:
    `printEscaped` in class `BaseMarkupSerializer`
  Parameters:
    `source` - The string to escape
  Throws:
    `java.io.IOException`

### printXMLChar

    protected void printXMLChar(int ch)
                         throws java.io.IOException

  Deprecated.
  print text data

  Throws:
    `java.io.IOException`

### printText

    protected void printText(java.lang.String text,
                             boolean preserveSpace,
                             boolean unescaped)
                      throws java.io.IOException

  Deprecated.
  Overrides:
    `printText` in class `BaseMarkupSerializer`
  Throws:
    `java.io.IOException`

### printText

    protected void printText(char[] chars,
                             int start,
                             int length,
                             boolean preserveSpace,
                             boolean unescaped)
                      throws java.io.IOException

  Deprecated.
  Description copied from class: `BaseMarkupSerializer`
  Called to print additional text with whitespace handling. If spaces are preserved, the text is printed as if by calling `BaseMarkupSerializer.printText(String,boolean,boolean)` with a call to `Printer.breakLine()` for each new line. If spaces are not preserved, the text is broken at space boundaries if longer than the line width; Multiple spaces are printed as such, but spaces at beginning of line are removed.

  Overrides:
    `printText` in class `BaseMarkupSerializer`
  Parameters:
    `chars` - The text to print
    `start` - The start offset
    `length` - The number of characters
    `preserveSpace` - Space preserving flag
    `unescaped` - Print unescaped
  Throws:
    `java.io.IOException`

### checkUnboundNamespacePrefixedNode

    protected void checkUnboundNamespacePrefixedNode(org.w3c.dom.Node node)
                                              throws java.io.IOException

  Deprecated.
  DOM Level 3: Check a node to determine if it contains unbound namespace prefixes.

  Overrides:
    `checkUnboundNamespacePrefixedNode` in class `BaseMarkupSerializer`
  Parameters:
    `node` - The node to check for unbound namespace prefices
  Throws:
    `java.io.IOException`

### reset

    public boolean reset()

  Deprecated.
  Overrides:
    `reset` in class `BaseMarkupSerializer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.